Skip to main content
GET
/
crypto
/
transactions
/
{id}
Get transaction details
curl --request GET \
  --url http://api.obsidiam.com/crypto/transactions/{id}
{
  "transactionId": "<string>",
  "status": "pending_payment",
  "quantity": 123,
  "cost": 123,
  "price": 123,
  "network": "ethereum",
  "symbol": "usdt",
  "currency": "BRL",
  "walletId": "<string>",
  "walletAddress": "<string>",
  "walletName": "<string>",
  "settlementSchedule": "D0",
  "settlementDate": "2023-11-07T05:31:56Z",
  "debt": {
    "initial": 123,
    "remaining": 123
  },
  "fills": [
    {
      "id": "<string>",
      "amount": 123,
      "hash": "<string>",
      "filledAt": "2023-11-07T05:31:56Z"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

Response

default - application/json
transactionId
string
required

Unique identifier for the transaction

status
enum<string>
required

Current status of the transaction

Available options:
pending_payment,
pending_fulfillment,
fulfillment_scheduled,
fulfilling,
fulfilled
quantity
number
required

Total amount of cryptocurrency purchased

cost
number
required

Total cost in fiat currency

price
number
required

Price per unit at execution

network
enum<string>
required

Blockchain network used for delivery

Available options:
ethereum,
tron,
polygon,
binance,
solana
symbol
enum<string>
required

Cryptocurrency symbol

Available options:
usdt,
usdc,
trx,
eth
currency
enum<string>
required

Fiat currency used for payment

Available options:
BRL,
USD,
EUR
walletId
string
required

Destination wallet ID

walletAddress
string
required

Destination wallet address

walletName
string
required

Destination wallet name

settlementSchedule
enum<string> | null
required

Settlement schedule used

Available options:
D0,
D1,
D2
settlementDate
string<date-time> | null
required

Expected or actual settlement date

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
debt
object
required

Debt tracking information for partial fills

fills
object[]
required

List of crypto deliveries for this transaction

createdAt
string<date-time>
required

When the transaction was created

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$